var Alloy = require('/alloy'),
Backbone = Alloy.Backbone,
_ = Alloy._;




function __processArg(obj, key) {
		var arg = null;
		if (obj) {
				arg = obj[key] || null;
		}
		return arg;
}

function Controller() {

		require('/alloy/controllers/' + 'BaseController').apply(this, Array.prototype.slice.call(arguments));
		this.__controllerPath = 'index';
		this.args = arguments[0] || {};

		if (arguments[0]) {
				var __parentSymbol = __processArg(arguments[0], '__parentSymbol');
				var $model = __processArg(arguments[0], '$model');
				var __itemTemplate = __processArg(arguments[0], '__itemTemplate');
		}
		var $ = this;
		var exports = {};
		var __defers = {};







		$.__views.home = Ti.UI.createWindow(
		{ backgroundColor: "#ffffff", statusBarStyle: Ti.UI.iOS.StatusBar.LIGHT_CONTENT, barImage: "bg_nav.png", navTintColor: "#ffffff", titleAttributes: { color: "#ffffff" }, id: "home", title: L('home'), layout: "vertical" });

		$.__views.thumbProdutos = Ti.UI.createView(
		{ top: "1dp", borderColor: "white", borderWidth: "1dp", backgroundColor: "white", width: Ti.UI.FILL, height: "20%", touchEnabled: true, id: "thumbProdutos" });

		$.__views.home.add($.__views.thumbProdutos);
		try {$.addListener($.__views.thumbProdutos, 'touchstart', IndexController.touchThumbHome);} catch (e) {__defers['$.__views.thumbProdutos!touchstart!IndexController.touchThumbHome'] = true;}try {$.addListener($.__views.thumbProdutos, 'touchend', IndexController.untouchThumbHome);} catch (e) {__defers['$.__views.thumbProdutos!touchend!IndexController.untouchThumbHome'] = true;}try {$.addListener($.__views.thumbProdutos, 'touchcancel', IndexController.untouchThumbHome);} catch (e) {__defers['$.__views.thumbProdutos!touchcancel!IndexController.untouchThumbHome'] = true;}$.__views.__alloyId1 = Ti.UI.createLabel(
		{ top: "12dp", backgroundColor: "rgba(11, 89, 149, 0.8)", color: "#ffffff", width: Ti.UI.SIZE, height: "49dp", textAlign: Ti.UI.TEXT_ALIGNMENT_LEFT, font: { fontFamily: "DIN-Medium", fontSize: "28dp" }, zIndex: 20, left: "12dp", text: L('home_produtos'), id: "__alloyId1" });

		$.__views.thumbProdutos.add($.__views.__alloyId1);
		$.__views.__alloyId2 = Ti.UI.createImageView(
		{ zIndex: 10, image: "home/produtos.jpg", width: "100%", height: "256dp", id: "__alloyId2" });

		$.__views.thumbProdutos.add($.__views.__alloyId2);
		$.__views.thumbSeminovos = Ti.UI.createView(
		{ top: "-1dp", borderColor: "white", borderWidth: "1dp", backgroundColor: "white", width: Ti.UI.FILL, height: "20%", touchEnabled: true, id: "thumbSeminovos" });

		$.__views.home.add($.__views.thumbSeminovos);
		try {$.addListener($.__views.thumbSeminovos, 'touchstart', IndexController.touchThumbHome);} catch (e) {__defers['$.__views.thumbSeminovos!touchstart!IndexController.touchThumbHome'] = true;}try {$.addListener($.__views.thumbSeminovos, 'touchend', IndexController.untouchThumbHome);} catch (e) {__defers['$.__views.thumbSeminovos!touchend!IndexController.untouchThumbHome'] = true;}try {$.addListener($.__views.thumbSeminovos, 'touchcancel', IndexController.untouchThumbHome);} catch (e) {__defers['$.__views.thumbSeminovos!touchcancel!IndexController.untouchThumbHome'] = true;}$.__views.__alloyId3 = Ti.UI.createLabel(
		{ top: "12dp", backgroundColor: "rgba(11, 89, 149, 0.8)", color: "#ffffff", width: Ti.UI.SIZE, height: "49dp", textAlign: Ti.UI.TEXT_ALIGNMENT_LEFT, font: { fontFamily: "DIN-Medium", fontSize: "28dp" }, zIndex: 20, left: "12dp", text: L('home_seminovos'), id: "__alloyId3" });

		$.__views.thumbSeminovos.add($.__views.__alloyId3);
		$.__views.__alloyId4 = Ti.UI.createImageView(
		{ zIndex: 10, image: "home/seminovos.jpg", width: "100%", height: "256dp", id: "__alloyId4" });

		$.__views.thumbSeminovos.add($.__views.__alloyId4);
		$.__views.thumbOrcamentos = Ti.UI.createView(
		{ top: "-1dp", borderColor: "white", borderWidth: "1dp", backgroundColor: "white", width: Ti.UI.FILL, height: "20%", touchEnabled: true, id: "thumbOrcamentos" });

		$.__views.home.add($.__views.thumbOrcamentos);
		try {$.addListener($.__views.thumbOrcamentos, 'touchstart', IndexController.touchThumbHome);} catch (e) {__defers['$.__views.thumbOrcamentos!touchstart!IndexController.touchThumbHome'] = true;}try {$.addListener($.__views.thumbOrcamentos, 'touchend', IndexController.untouchThumbHome);} catch (e) {__defers['$.__views.thumbOrcamentos!touchend!IndexController.untouchThumbHome'] = true;}try {$.addListener($.__views.thumbOrcamentos, 'touchcancel', IndexController.untouchThumbHome);} catch (e) {__defers['$.__views.thumbOrcamentos!touchcancel!IndexController.untouchThumbHome'] = true;}$.__views.__alloyId5 = Ti.UI.createLabel(
		{ top: "12dp", backgroundColor: "rgba(11, 89, 149, 0.8)", color: "#ffffff", width: Ti.UI.SIZE, height: "49dp", textAlign: Ti.UI.TEXT_ALIGNMENT_LEFT, font: { fontFamily: "DIN-Medium", fontSize: "28dp" }, zIndex: 20, left: "12dp", text: L('home_orcamentos'), id: "__alloyId5" });

		$.__views.thumbOrcamentos.add($.__views.__alloyId5);
		$.__views.__alloyId6 = Ti.UI.createImageView(
		{ zIndex: 10, image: "home/orcamentos.jpg", width: "100%", height: "256dp", id: "__alloyId6" });

		$.__views.thumbOrcamentos.add($.__views.__alloyId6);
		$.__views.thumbProspects = Ti.UI.createView(
		{ top: "-1dp", borderColor: "white", borderWidth: "1dp", backgroundColor: "white", width: Ti.UI.FILL, height: "20%", touchEnabled: true, id: "thumbProspects" });

		$.__views.home.add($.__views.thumbProspects);
		try {$.addListener($.__views.thumbProspects, 'touchstart', IndexController.touchThumbHome);} catch (e) {__defers['$.__views.thumbProspects!touchstart!IndexController.touchThumbHome'] = true;}try {$.addListener($.__views.thumbProspects, 'touchend', IndexController.untouchThumbHome);} catch (e) {__defers['$.__views.thumbProspects!touchend!IndexController.untouchThumbHome'] = true;}try {$.addListener($.__views.thumbProspects, 'touchcancel', IndexController.untouchThumbHome);} catch (e) {__defers['$.__views.thumbProspects!touchcancel!IndexController.untouchThumbHome'] = true;}$.__views.__alloyId7 = Ti.UI.createLabel(
		{ top: "12dp", backgroundColor: "rgba(11, 89, 149, 0.8)", color: "#ffffff", width: Ti.UI.SIZE, height: "49dp", textAlign: Ti.UI.TEXT_ALIGNMENT_LEFT, font: { fontFamily: "DIN-Medium", fontSize: "28dp" }, zIndex: 20, left: "12dp", text: L('home_prospects'), id: "__alloyId7" });

		$.__views.thumbProspects.add($.__views.__alloyId7);
		$.__views.__alloyId8 = Ti.UI.createImageView(
		{ zIndex: 10, image: "home/pedidos.jpg", width: "100%", height: "256dp", id: "__alloyId8" });

		$.__views.thumbProspects.add($.__views.__alloyId8);
		$.__views.thumbAgenda = Ti.UI.createView(
		{ top: "-1dp", borderColor: "white", borderWidth: "1dp", backgroundColor: "white", width: Ti.UI.FILL, height: "20%", touchEnabled: true, id: "thumbAgenda" });

		$.__views.home.add($.__views.thumbAgenda);
		try {$.addListener($.__views.thumbAgenda, 'touchstart', IndexController.touchThumbHome);} catch (e) {__defers['$.__views.thumbAgenda!touchstart!IndexController.touchThumbHome'] = true;}try {$.addListener($.__views.thumbAgenda, 'touchend', IndexController.untouchThumbHome);} catch (e) {__defers['$.__views.thumbAgenda!touchend!IndexController.untouchThumbHome'] = true;}try {$.addListener($.__views.thumbAgenda, 'touchcancel', IndexController.untouchThumbHome);} catch (e) {__defers['$.__views.thumbAgenda!touchcancel!IndexController.untouchThumbHome'] = true;}$.__views.__alloyId9 = Ti.UI.createLabel(
		{ top: "12dp", backgroundColor: "rgba(11, 89, 149, 0.8)", color: "#ffffff", width: Ti.UI.SIZE, height: "49dp", textAlign: Ti.UI.TEXT_ALIGNMENT_LEFT, font: { fontFamily: "DIN-Medium", fontSize: "28dp" }, zIndex: 20, left: "12dp", text: L('home_agenda'), id: "__alloyId9" });

		$.__views.thumbAgenda.add($.__views.__alloyId9);
		$.__views.__alloyId10 = Ti.UI.createImageView(
		{ zIndex: 10, image: "home/agenda.jpg", width: "100%", height: "256dp", id: "__alloyId10" });

		$.__views.thumbAgenda.add($.__views.__alloyId10);
		$.__views.index = Ti.UI.iOS.createNavigationWindow(
		{ window: $.__views.home, id: "index" });

		$.__views.index && $.addTopLevelView($.__views.index);
		exports.destroy = function () {};




		_.extend($, $.__views);


		var syncUsuario = require('syncUsuario');

		function fz(o, s) {
				for (var s = Math.max(+s || 2, (n = '' + Math.abs(o)).length); n.length < s; n = '0' + n);
				return (+o < 0 ? '-' : '') + n;
		}

		var IndexController = {
				init: function () {
						Alloy.Globals.navGroup = $.index;
						Alloy.Globals.canProceed = true;

						Alloy.Globals.requireLogin(_.bind(function (Usuario) {
								this.toolbar = Alloy.Globals.createTopToolbar($, $.home, {
										hideLembretesCount: false });


								if (!Alloy.isTablet) {
										$.home.setTitleControl(null);
										$.home.setTitle(L('home'));
								} else {
										$.home.setTitleControl($.UI.create('View', {
												touchEnabled: false,
												backgroundImage: 'tit_schaefer_simb.png',
												width: '54dp',
												height: '28dp',
												layout: 'horizontal' }));

								}

								syncUsuario.sync(function (data) {
										Alloy.Globals.refreshLogin();
								});

								$.index.open();
						}, this));

						return this;
				},
				touchThumbHome: function (event) {
						if (this.touchEnabled) this.opacity = 0.8;
				},
				untouchThumbHome: function (event) {
						if (this.touchEnabled) this.opacity = 1;
				} };


		exports = IndexController.init();





		__defers['$.__views.thumbProdutos!touchstart!IndexController.touchThumbHome'] && $.addListener($.__views.thumbProdutos, 'touchstart', IndexController.touchThumbHome);__defers['$.__views.thumbProdutos!touchend!IndexController.untouchThumbHome'] && $.addListener($.__views.thumbProdutos, 'touchend', IndexController.untouchThumbHome);__defers['$.__views.thumbProdutos!touchcancel!IndexController.untouchThumbHome'] && $.addListener($.__views.thumbProdutos, 'touchcancel', IndexController.untouchThumbHome);__defers['$.__views.thumbSeminovos!touchstart!IndexController.touchThumbHome'] && $.addListener($.__views.thumbSeminovos, 'touchstart', IndexController.touchThumbHome);__defers['$.__views.thumbSeminovos!touchend!IndexController.untouchThumbHome'] && $.addListener($.__views.thumbSeminovos, 'touchend', IndexController.untouchThumbHome);__defers['$.__views.thumbSeminovos!touchcancel!IndexController.untouchThumbHome'] && $.addListener($.__views.thumbSeminovos, 'touchcancel', IndexController.untouchThumbHome);__defers['$.__views.thumbOrcamentos!touchstart!IndexController.touchThumbHome'] && $.addListener($.__views.thumbOrcamentos, 'touchstart', IndexController.touchThumbHome);__defers['$.__views.thumbOrcamentos!touchend!IndexController.untouchThumbHome'] && $.addListener($.__views.thumbOrcamentos, 'touchend', IndexController.untouchThumbHome);__defers['$.__views.thumbOrcamentos!touchcancel!IndexController.untouchThumbHome'] && $.addListener($.__views.thumbOrcamentos, 'touchcancel', IndexController.untouchThumbHome);__defers['$.__views.thumbProspects!touchstart!IndexController.touchThumbHome'] && $.addListener($.__views.thumbProspects, 'touchstart', IndexController.touchThumbHome);__defers['$.__views.thumbProspects!touchend!IndexController.untouchThumbHome'] && $.addListener($.__views.thumbProspects, 'touchend', IndexController.untouchThumbHome);__defers['$.__views.thumbProspects!touchcancel!IndexController.untouchThumbHome'] && $.addListener($.__views.thumbProspects, 'touchcancel', IndexController.untouchThumbHome);__defers['$.__views.thumbAgenda!touchstart!IndexController.touchThumbHome'] && $.addListener($.__views.thumbAgenda, 'touchstart', IndexController.touchThumbHome);__defers['$.__views.thumbAgenda!touchend!IndexController.untouchThumbHome'] && $.addListener($.__views.thumbAgenda, 'touchend', IndexController.untouchThumbHome);__defers['$.__views.thumbAgenda!touchcancel!IndexController.untouchThumbHome'] && $.addListener($.__views.thumbAgenda, 'touchcancel', IndexController.untouchThumbHome);



		_.extend($, exports);
}

module.exports = Controller;