var syncUsuario = require('syncUsuario')

function fz(o, s) {
  for (
    var s = Math.max(+s || 2, (n = '' + Math.abs(o)).length);
    n.length < s;
    n = '0' + n
  );
  return (+o < 0 ? '-' : '') + n
}

var IndexController = {
  init: function() {
    Alloy.Globals.navGroup = $.index
    Alloy.Globals.canProceed = true

    Alloy.Globals.requireLogin(
      _.bind(function(Usuario) {
        this.toolbar = Alloy.Globals.createTopToolbar($, $.home, {
          hideLembretesCount: false
        })

        if (!Alloy.isTablet) {
          $.home.setTitleControl(null)
          $.home.setTitle(L('home'))
        } else {
          $.home.setTitleControl(
            $.UI.create('View', {
              touchEnabled: false,
              backgroundImage: 'tit_schaefer_simb.png',
              width: '54dp',
              height: '28dp',
              layout: 'horizontal'
            })
          )
        }

        syncUsuario.sync(function(data) {
          Alloy.Globals.refreshLogin()
        })

        $.index.open()

      }, this)
    )

    return this
  },
  touchThumbHome: function(event) {
    if (this.touchEnabled) this.opacity = 0.8
  },
  untouchThumbHome: function(event) {
    if (this.touchEnabled) this.opacity = 1
  }
}

exports = IndexController.init()
