var Alloy = require('/alloy'),
    _ = require("/alloy/underscore")._,
    model,
    collection;

var moment = require('alloy/moment');

exports.definition = {
    config: {
        "adapter": {
            "type": "sql",
            "db_file": Alloy.CFG.db_file,
            "db_name": Alloy.CFG.db_name,
            "collection_name": "usuarios",
            "idAttribute": "id"
        }
    },

    extendModel: function (Model) {
        _.extend(Model.prototype, {
            idAttribute: 'id'
        });

        return Model;
    },

    extendCollection: function (Collection) {
        _.extend(Collection.prototype, {});

        return Collection;
    }
};

model = Alloy.M('Usuario', exports.definition, []);

collection = Alloy.C('Usuario', exports.definition, model);

exports.Model = model;
exports.Collection = collection;